#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
    
    // Initialize variable
    imageNumberAsInt = 0;
    textVectorCounter = 0;
    textFrameCounter = 0;
    
    // Set background color to black
    ofBackground(0);
    
    // load fount
    myFont.loadFont("GillSans.ttf", 14);
    
    // Populate myChangingText Vector
    myChangingText.push_back("These are not phantasies or subjective reveries:");
    myChangingText.push_back("it is not a question of imitating a horse,");
    myChangingText.push_back("'playing' horse, identifying with one, or even experiencing feelings of pity or sympathy.");
    myChangingText.push_back("Neither does it have to do with an objective analogy between assemblages.");
    myChangingText.push_back("The question is whether Little Hans can endow his own elements with the relations of");
    myChangingText.push_back("movement and rest, the affects, that would make it become horse,");
    myChangingText.push_back("forms and subjects aside.");

}

//--------------------------------------------------------------
void ofApp::update(){

    // Increment our int variable
    imageNumberAsInt = imageNumberAsInt + 1;
    textFrameCounter++;
    
    if (textFrameCounter % 200 == 0)
    {
        textVectorCounter++;
    }
    
    // Convert our Int Variable to a String
    imageNumberAsString = ofToString(imageNumberAsInt);
    
    // Plug our imageNumberAsString variable into our file name
    horseImage.loadImage("muybridge" + imageNumberAsString + ".jpg");
    
    // Keep our int in range
    if (imageNumberAsInt > 14)
    {
        imageNumberAsInt = 0;
    }
    
    if (textVectorCounter >= myChangingText.size())
    {
        textVectorCounter  = 0;
    }
    
}

//--------------------------------------------------------------
void ofApp::draw(){
    
    // Calculate center of screen
    
    float xCenterImage = (ofGetWidth()/2) - horseImage.width/2;
    float yCenterImage = (ofGetHeight()/2) - horseImage.height/2;
    float xCenterText = (ofGetWidth()/2) - (myFont.stringWidth(myChangingText[textVectorCounter]) / 2);
    
    horseImage.draw(xCenterImage,yCenterImage);
    
    myFont.drawString(myChangingText[textVectorCounter], xCenterText, ofGetHeight()/2 + 200);
    
    
    
    
}

//--------------------------------------------------------------
void ofApp::keyPressed(int key){

}

//--------------------------------------------------------------
void ofApp::keyReleased(int key){

}

//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){ 

}
